<nav class="navbar biomark-light-header fixed-top ng-scope">
	<div class="container">
		<a class="navbar-brand d-none d-md-block">
			<img ng-click="$ctrl.redirect(1)" src="./images/biomark-logo.png" class="d-inline-block pointer" alt="">
		</a>
		<a class="navbar-brand d-block d-md-none">
			<img ng-click="$ctrl.redirect(1)" src="./images/biomark-logo.png" style="height: 30px;" class="d-inline-block pointer" alt="">
		</a>
		<div ng-if="$ctrl.user.profile_status && $ctrl.user.profile.first_login" class="nav-wrapper d-none d-md-block">
			<div class="left_nav_item"></div>
            <div class="login_btn_container">
                <button ng-click="$ctrl.logout()" class="btn-signup">Login</button>
            </div>
		</div>
			<!-- <ul ng-if="$ctrl.user.profile_status && !$ctrl.user.profile.first_login" class="nav left-header mr-auto">
				<li class="nav-item">
					<patient-search></patient-search>
				</li>
			</ul> -->
			<ul class="nav left-header ml-auto d-none d-md-block">
				<li class="nav-item">
					<div class="d-flex flex-row">
            <a class="nav-link left-header-nav"
              ng-class="{active: $ctrl.url_state.includes('prescription')}"
              ui-sref="prescription.list">Prescription
            </a>
					</div>
				</li>
				<!-- <li class="nav-item">
					<a class="nav-link" style="cursor: pointer;" ng-class="{'active': $ctrl.indexId == 3}"
						ng-click="$ctrl.redirect(3)">Consumable
					</a>
				</li> -->
			</ul>
			<ul ng-if="$ctrl.user.profile_status && !$ctrl.user.profile.first_login" class="nav left-header d-block d-lg-none">
				<i class="fas fa-bars pointer" ng-click="$ctrl.toggle_side_menu()"></i>
			</ul>
			<ul  ng-if="$ctrl.user.profile_status && !$ctrl.user.profile.first_login"
				class="nav right-header d-none d-lg-block"
				style="border-left:1px solid #eee">
				<!-- <pending-notification class="d-none d-md-block"></pending-notification>
				<doctor-qr-code class="d-none d-md-block" qr="$ctrl.qr.data"></doctor-qr-code> -->
				<li class="nav-item">
					<div class="dropdown">
						<img ng-src="{{$ctrl.user.profile.avatar}}"
							class="profile pointer" style="border-radius: 50%" height="40" width="40"
							ng-if="$ctrl.user.profile.data.picture != null ">
						<div class="temporary_picture pointer" ng-if="$ctrl.user.profile.data.picture == null ">
							<span>{{$ctrl.user.profile.data.first_name[0]}}{{$ctrl.user.profile.data.last_name[0]}}</span>
						</div>
						<div class="dropdown-content user">
							<div class="dropdown-carret user-dp">
								<div class="arrow-up"></div>
							</div>
							<div class="user_dropdown_container">
								<div class="user-top-header">
									<p class="user-name">{{$ctrl.user.profile.data.first_name}}
										{{$ctrl.user.profile.data.last_name}}</p>
									<p class="user-menu-label" ui-sref="profile">View My Profile</p>
								</div>

								<div class="dropdown-user-menu">
									<p class="user-menu-title">
										About
									</p>
									<!-- <a style="text-decoration: none" ng-href="https://www.biomarking.com/about.html"
										target="_blank">
										<p class="user-menu-item">
											<i class="material-icons md-14 green">business</i> &nbsp;&nbsp;About Biomark
										</p>
									</a> -->
									<a style="text-decoration: none" ui-sref="policies({country:'EN'})">
										<p class="user-menu-item">
											<i class="material-icons md-14 green">list</i> &nbsp;&nbsp;Policies
										</p>
									</a>
								</div>
								<div class="dropdown-user-menu">
									<p class="user-menu-item" ui-sref="settings">
										<i class="material-icons md-14 green">settings</i> &nbsp;&nbsp;Settings
									</p>
									<p class="user-menu-item">
										<div ng-if="$ctrl.user.profile.auto_logout" ng-click="$ctrl.toggle_auto_logout()"><i  class="material-icons md-14 green">toggle_on</i> &nbsp;&nbsp;Auto Logout (ON) </div>
										<div ng-if="!$ctrl.user.profile.auto_logout" ng-click="$ctrl.toggle_auto_logout()"><i  class="material-icons md-14 red">toggle_off</i> &nbsp;&nbsp;Auto Logout (OFF)</div>
									</p>
									<p class="user-menu-item" ng-click="$ctrl.logout()">
										<i class="material-icons md-14 red">exit_to_app</i> &nbsp;&nbsp;Logout
									</p>
								</div>
							</div>
							<div class="border-bottom"></div>
							<div class="bm-label-10 bluey-grey text-center py-2">{{$ctrl.version}}</div>
						</div>
					</div>
				</li>
			</ul>

	</div>
</nav>
<div class="side_menu d-block d-lg-none" click-outside="$ctrl.close_mobile_menu()" ng-if="$ctrl.side_menu">
	<div class="profile_box d-flex flex-column align-items-center">
		<div class="d-flex justify-content-between align-items-center py-3">
			<img ng-src="https://assets.biomarking.com/profile/{{$ctrl.user.profile.data.picture}}"
				class="profile pointer" style="border-radius: 50%" height="40" width="40"
				ng-if="$ctrl.user.profile.data.picture != null ">
			<div class="temporary_picture pointer" ng-if="$ctrl.user.profile.data.picture == null ">
				<span>{{$ctrl.user.profile.data.first_name[0]}}{{$ctrl.user.profile.data.last_name[0]}}</span>
			</div>
		</div>
		<div class="bm-label-20 mb-3">{{$ctrl.user.profile.data.first_name}}
			{{$ctrl.user.profile.data.last_name}}</div>
		<div class="vertical-line"></div>
		<div class="mobile-menu self-align-left pointer"
			ng-repeat="a in $ctrl.mobile_menus"
			ng-click="$ctrl.menu_navigation(a)" ng-if="a.show === true">{{::a.label}}</div>
	</div>
</div>

<div class="biomark-modal" ng-if="$ctrl.popup_type == 2">
	<div class="modal_container small">
		<div class="modal-header">
			<div class="modal-closer-text">
				<h5>You have rejected the request from:</h5>
			</div>
			<div class="modal-closer-icon" ng-click="$ctrl.close()">
				<i class="material-icons md-18">close</i>
			</div>
		</div>
		<div class="modal-body-sm">
			<div class="row">
				<div class="col-md-12 text-center">
					<div class="patient_photo_a" style="margin:0 auto 0">
						<div class="tmp_image" ng-if="$ctrl.patient.picture == null">
							{{$ctrl.patient.first_name[0]}}{{$ctrl.patient_data.last_name[0]}}</div>
						<img ng-if="$ctrl.patient.picture != null" class="patient_img" ng-src="https://assets.biomarking.com/profile/{{$ctrl.patient.picture}}">
					</div>
					<br>
					<br>
					<h4 class="text-center">{{$ctrl.patient.first_name}} {{$ctrl.patient.last_name}}</h4>
					<p class="pmediumdefault" style="margin:5px">{{$ctrl.patient.birth_date}}, {{$ctrl.patient.gender}}, {{$ctrl.patient.ethnicity}}</p>
					<div class="country-ic-container">
						<span class="flag-icon flag-icon-{{$ctrl.data.countries[$ctrl.patient.country - 1].code.toLowerCase()}}" style="font-size:20px; float: left"></span>
						<p class="labelnormaluppercase" ng-if="$ctrl.patient.ic_number" style="float:left; margin-top: 5px">&nbsp;{{$ctrl.patient.ic_number}}</p>
						<p class="labelnormaluppercase" ng-if="!$ctrl.patient.ic_number" style="float:left; margin-top: 5px">&nbsp;&nbsp;---</p>
					</div>

					<br>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12 text-center">
					<a href="" class="back" ng-click="$ctrl.close()">Close</a>
					<br>
					<br>
					<br>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="biomark-modal" ng-if="$ctrl.popup_type == 3">
	<div class="modal_container small">
		<div class="modal-header">
			<div class="modal-closer-text">
				<h5>You are now connected to:</h5>
			</div>
			<div class="modal-closer-icon" ng-click="$ctrl.close()">
				<i class="material-icons md-18">close</i>
			</div>
		</div>
		<div class="modal-body-sm">
			<div class="row">
				<div class="col-md-12 text-center">
					<div class="patient_photo_a" style="margin:0 auto 0">
						<div class="tmp_image" ng-if="$ctrl.patient.picture == null">
							{{$ctrl.patient.first_name[0]}}{{$ctrl.patient_data.last_name[0]}}</div>
						<img ng-if="$ctrl.patient.picture != null" class="patient_img" ng-src="https://assets.biomarking.com/profile/{{$ctrl.patient.picture}}">
					</div>
					<br>
					<br>
					<h4 class="text-center">{{$ctrl.patient.first_name}} {{$ctrl.patient.last_name}}</h4>
					<p class="pmediumdefault" style="margin:5px">{{$ctrl.patient.birth_date}}, {{$ctrl.patient.gender}}, {{$ctrl.patient.ethnicity}}</p>
					<div class="country-ic-container">
						<span class="flag-icon flag-icon-{{$ctrl.data.countries[$ctrl.patient.country - 1].code.toLowerCase()}}" style="font-size:20px; float: left"></span>
						<p class="labelnormaluppercase" ng-if="$ctrl.patient.ic_number" style="float:left; margin-top: 5px">&nbsp;{{$ctrl.patient.ic_number}}</p>
						<!-- <p class="labelnormaluppercase" ng-if="!$ctrl.patient.ic_number" style="float:left; margin-top: 5px">&nbsp;&nbsp;---</p> -->
					</div>

					<br>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12 text-center">
					<div class="form-group">
						<button class="btn btn-danger biomark-btn-primary" ng-click="$ctrl.view_record( $ctrl.patient.id )">
							View Profile
						</button>
						<br>
						<br>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<!-- Type form implementation  -->
<div ng-if="$ctrl.portal_type_id === 0">
  <a class="typeform-share button" href="https://form.typeform.com/to/Z5UR2svw?typeform-medium=embed-snippet#user_id={{$ctrl.user.id}}&dr_name={{$ctrl.user.profile.data.first_name}} {{$ctrl.user.profile.data.last_name}}" data-mode="popover" style="z-index: 999;width:54px;height:54px;position:fixed;box-shadow:0px 2px 12px rgba(0, 0, 0, 0.06), 0px 2px 4px rgba(0, 0, 0, 0.08);right:26px;bottom:26px;border-radius:50%;display:flex;align-items:center;justify-content:center;cursor:pointer;background:#D65C99;overflow:hidden;line-height:0;" target="_blank"> <span class="icon"> <svg width='24' height='24' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg' style="margin-top:6px;"> <path d='M21 0H0V9L10.5743 24V16.5H21C22.6567 16.5 24 15.1567 24 13.5V3C24 1.34325 22.6567 0 21 0ZM7.5 9.75C6.672 9.75 6 9.07875 6 8.25C6 7.42125 6.672 6.75 7.5 6.75C8.328 6.75 9 7.42125 9 8.25C9 9.07875 8.328 9.75 7.5 9.75ZM12.75 9.75C11.922 9.75 11.25 9.07875 11.25 8.25C11.25 7.42125 11.922 6.75 12.75 6.75C13.578 6.75 14.25 7.42125 14.25 8.25C14.25 9.07875 13.578 9.75 12.75 9.75ZM18 9.75C17.172 9.75 16.5 9.07875 16.5 8.25C16.5 7.42125 17.172 6.75 18 6.75C18.828 6.75 19.5 7.42125 19.5 8.25C19.5 9.07875 18.828 9.75 18 9.75Z' fill='white' /> </svg> </span> </a> <script> (function() { var qs,js,q,s,d=document, gi=d.getElementById, ce=d.createElement, gt=d.getElementsByTagName, id="typef_orm_share", b="https://embed.typeform.com/"; if(!gi.call(d,id)){ js=ce.call(d,"script"); js.id=id; js.src=b+"embed.js"; q=gt.call(d,"script")[0]; q.parentNode.insertBefore(js,q) } })() </script>
  <!-- <div data-tf-popover="Z5UR2svw" data-tf-button-color="#E7376E" data-tf-button-text="Launch me" data-tf-hidden="user_id={{$ctrl.user.qr.data}},dr_name={{$ctrl.user.profile.data.first_name}} {{$ctrl.user.profile.data.last_name}}" style="all:unset;"></div><script src="//embed.typeform.com/next/embed.js"></script> -->
</div>

<div ng-if="$ctrl.portal_type_id === 1">
  <a class="typeform-share button" href="https://form.typeform.com/to/BJsgRVm8?typeform-medium=embed-snippet#user_id={{$ctrl.user.id}}&dr_name={{$ctrl.user.profile.data.first_name}} {{$ctrl.user.profile.data.last_name}}" data-mode="popover" style="z-index: 999;width:54px;height:54px;position:fixed;box-shadow:0px 2px 12px rgba(0, 0, 0, 0.06), 0px 2px 4px rgba(0, 0, 0, 0.08);right:26px;bottom:26px;border-radius:50%;display:flex;align-items:center;justify-content:center;cursor:pointer;background:#D65C99;overflow:hidden;line-height:0;" target="_blank"> <span class="icon"> <svg width='24' height='24' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg' style="margin-top:6px;"> <path d='M21 0H0V9L10.5743 24V16.5H21C22.6567 16.5 24 15.1567 24 13.5V3C24 1.34325 22.6567 0 21 0ZM7.5 9.75C6.672 9.75 6 9.07875 6 8.25C6 7.42125 6.672 6.75 7.5 6.75C8.328 6.75 9 7.42125 9 8.25C9 9.07875 8.328 9.75 7.5 9.75ZM12.75 9.75C11.922 9.75 11.25 9.07875 11.25 8.25C11.25 7.42125 11.922 6.75 12.75 6.75C13.578 6.75 14.25 7.42125 14.25 8.25C14.25 9.07875 13.578 9.75 12.75 9.75ZM18 9.75C17.172 9.75 16.5 9.07875 16.5 8.25C16.5 7.42125 17.172 6.75 18 6.75C18.828 6.75 19.5 7.42125 19.5 8.25C19.5 9.07875 18.828 9.75 18 9.75Z' fill='white' /> </svg> </span> </a> <script> (function() { var qs,js,q,s,d=document, gi=d.getElementById, ce=d.createElement, gt=d.getElementsByTagName, id="typef_orm_share", b="https://embed.typeform.com/"; if(!gi.call(d,id)){ js=ce.call(d,"script"); js.id=id; js.src=b+"embed.js"; q=gt.call(d,"script")[0]; q.parentNode.insertBefore(js,q) } })() </script>
  <!-- <div data-tf-popover="BJsgRVm8" data-tf-button-color="#E7376E" data-tf-button-text="Launch me" data-tf-hidden="user_id={{$ctrl.user.qr.data}},dr_name={{$ctrl.user.profile.data.first_name}} {{$ctrl.user.profile.data.last_name}}" style="all:unset;"></div><script src="//embed.typeform.com/next/embed.js"></script> -->
</div>
<!-- Type form implementation  -->
